Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.io
Interface AlignmentOutputParser

All Known Implementing Classes:
  MotProteinParser, PIRProteinAlignmentParser

public interface AlignmentOutputParser

This is an interface that provides a definition for any sequence output parsing. It takes a sequence alignment and returns a writer. Parsers may or may not have state attached to them, and furthermore, they may be re-entered or alternately they may not. You have been warned!

One thing that cannot be enforced in the interface is, every parser should have a default constructor (i.e., no arguments to the constructor). This is because the parsers are generated through Class.newInstance(). Created: Mon Jul 31 13:04:06 2000

Version:
  $Id: AlignmentOutputParser.java,v 1.3 2001/04/11 17:04:43 lord Exp $
Author:
  Julian Selley

Method Summary
`String` | `getDescription()` Returns the description of this alignment output parser, and should be human readable/understandable.
`Writer` | `write(SequenceAlignment sa, Writer writer, ParserExceptionHandler eh)` Returns a writer for output, when provided with a sequence alignment.

Method Detail

### write

    public Writer write(SequenceAlignment sa,
                        Writer writer,
                        ParserExceptionHandler eh)

  Returns a writer for output, when provided with a sequence alignment. Exceptions are handled by the supplied exception handler.

  Parameters:
    `sa` - the sequence alignment
    `eh` - the exception handler
  Returns:
    the writer for output

### getDescription

    public String getDescription()

  Returns the description of this alignment output parser, and should be human readable/understandable.

  Returns:
    the description

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD